#include <soundcard.h>
#include <p2c/p2c.h>

int SoundStreemReset(FILE *sf)
{
return ioctl(fileno(sf),SNDCTL_DSP_RESET);
}

int SoundStreemSetDuplex(FILE *sf)
{
return ioctl(fileno(sf),SNDCTL_DSP_SETDUPLEX);
}


int SoundStreemSync(FILE *sf)
{
return ioctl(fileno(sf),SNDCTL_DSP_SYNC);
}

int SoundStreemSetRate(FILE *sf, int rate)
{
return ioctl(fileno(sf),SNDCTL_DSP_SPEED,&rate);
}

int SoundStreemS16LE(FILE *sf)
{
int i=AFMT_S16_LE;
return ioctl(fileno(sf),SNDCTL_DSP_SETFMT,&i);
}


int SoundStreemS16BE(FILE *sf)
{
int i=AFMT_S16_BE;
return ioctl(fileno(sf),SNDCTL_DSP_SETFMT,&i);
}

int SoundStreemSetChannels(FILE *sf,int i)
{
return ioctl(fileno(sf),SNDCTL_DSP_CHANNELS,&i);
}


int SoundStreemBufInfo(FILE *sf)

{
audio_buf_info info;
ioctl(fileno(sf),SNDCTL_DSP_GETISPACE,&info);
return info.bytes;
}
